#!/bin/bash

prefix=/usr
orcadir=${prefix}/lib/jma-receipt
srcdir=${prefix}/local/site-jma-receipt
sitelib=${orcadir}/site-lib
etcdir=/etc/jma-receipt

pgname=R1ORCA64*
pgname2=r1orca64*
docname=orca_print_uninstall_${pgname}

usrname=`whoami`

# user check
if [ $usrname != "root" ] ; then
  echo -e "\nrootユーザで実行してください\n"
  exit 1
fi

echo "R1ORCA64 アンインストール中..."

  for i in ${srcdir}/cobol/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${srcdir}/cobol/copy/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${srcdir}/form/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${orcadir}/form/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${orcadir}/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${srcdir}/etc/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${orcadir}/etc/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done
  
 for i in ${srcdir}/doc/${docname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${srcdir}/lddef/${pgname2}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${srcdir}/scripts/allways/${pgname2}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${sitelib}/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${sitelib}/form/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${srcdir}/record/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${orcadir}/record/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${sitelib}/record/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${sitelib}/doc/${docname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${sitelib}/lddef/${pgname2}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${orcadir}/lddef/${pgname2}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${sitelib}/scripts/allways/${pgname2}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

# Delete Files
rm -rf /usr/local/bin/r1orca64-run.sh
rm -rf /usr/local/bin/r1orca64
rm -rf /usr/local/bin/question.txt
rm -rf /home/orca/R1ORCA64
rm -rf /home/orca/r1orca64.log

  echo "R1ORCA64 アンインストール完了!!"
